# Get Order Details

You can fetch all the details of the order from here.\
This does not validate the confirmation of the blockchain.\
If you want to see if the payment transaction is confirmed you should use getStatusByHash instead.

**Endpoint:** [**https://api-pay.just.money/v1/checkout/getOrderByHash/:hash**](https://api-pay.just.money/v1/checkout/getOrderByHash/:hash)

**Request Type:&#x20;**<mark style="color:blue;">**GET**</mark>

### **Returns:**

```json
{
  "id": "our order id",
  "wallet_evm": "address",
  "wallet_tron": "address",
  "src": "your source",
  "returnUrl": "your return url",
  "statusHookUrl": "your status hook url",
  "totalAmount": "total amount of the order",
  "orderId": "your order id",
  "hash": "hash that we generated",
  "network": "network of payment (user already paid)",|
  "tokenPaidWith": "token that user used for the payment",
  "currency": "USD",
  "transactionHash": "transaction hash in blockchain (user already paid)",
  "status": "CREATED | PROCESSING | COMPLETED",
  "createdAt": "Date and time of the creation",
  "updatedAt": "Date and time of the last update"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://book.just.money/jmguide/justmoney-pay/api-documentation/get-order-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
